---
title: reject
type: output
status: stable
categories: ["Utility"]
---

<!--
     THIS FILE IS AUTOGENERATED!

     To make changes please edit the contents of:
     lib/output/reject.go
-->

import Tabs from '@theme/Tabs';
import TabItem from '@theme/TabItem';


Rejects all messages, treating them as though the output destination failed to publish them.

```yaml
# Config fields, showing default values
output:
  label: ""
  reject: ""
```

The routing of messages after this output depends on the type of input it came from. For inputs that support propagating nacks upstream such as AMQP or NATS the message will be nacked. However, for inputs that are sequential such as files or Kafka the messages will simply be reprocessed from scratch.

If you're still scratching your head as to when this output could be useful check out [the examples below](#examples).

## Examples

<Tabs defaultValue="Rejecting Failed Messages" values={[
{ label: 'Rejecting Failed Messages', value: 'Rejecting Failed Messages', },
]}>

<TabItem value="Rejecting Failed Messages">


This input is particularly useful for routing messages that have failed during processing, where instead of routing them to some sort of dead letter queue we wish to push the error upstream. We can do this with a switch broker:

```yaml
output:
  switch:
    retry_until_success: false
    cases:
      - check: '!errored()'
        output:
          amqp_1:
            url: amqps://guest:guest@localhost:5672/
            target_address: queue:/the_foos

      - output:
          reject: "processing failed due to: ${! error() }"
```

</TabItem>
</Tabs>


